
TYPO3.Flow - Task # 2386

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: MVC
Created: 2008-12-30 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: AbstractView should be ViewInterface
Description

To reduce concrete dependencies and enforce loose coupling 
"F3\FLOW3\MVC\View\AbstractView" should be an interface "F3\FLOW3\MVC\View\ViewInterface"

Associated revisions
Revision b315ee91 - 2009-01-23 16:01 - Robert Lemke

    -  FLOW3: (MVC) Adde a ControllerInterface and ViewInterface. Resolves #2386.

History
#1 - 2009-01-23 15:47 - Robert Lemke
- Assigned To changed from Bastian Waidelich to Robert Lemke

#2 - 2009-01-23 16:05 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1790.
